
<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="detailed clearfix contactDetailed fenzuDetailed">
			<button id="close_btn" type="button" class="icon detailed_close"></button>
			<div class="common_content_title"><span id="goodsShow_title"></span></div>
			<div>
				<form id="goodsShowAddForm" method="post" enctype="multipart/form-data">
					<ul>
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>商品名称</span>
							<input type="hidden" name="goodsShowId" id="goodsShowId" />
							<input name="goodsShowName" id="goodsShowName" size="16" type="text" class="form-control input180" value="" data-options="required:true,length:'100'">
						</li>
						
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>所需积分</span>
							<input name="pointsNumber" id="pointsNumber" size="16" type="hidden" class="form-control input180" value="" >
							<input name="goodsShowMemberCardGradeList" type="hidden" id="goodsShowMemberCardGradeList">
							<div style="margin-left: 120px; margin-top: -20px;">
								<table id="goodsShow-condition-table" class="easyui-datagrid" style="width:250px;height:150px" 
									data-options="collapsible:true">
										<thead>
											<tr>
									        	<th data-options="field:'gradeId',align:'center',hidden:'true'">等级ID</th>
									            <th data-options="field:'memberCardGradeName',width:120,align:'center'">等级</th>
									            <th data-options="field:'memberCardGradeCode',width:120,align:'center',
													formatter:function(value,row,index){return formatProgress_goodsShowName_points(value,row,index);}">所需积分</th>
									        </tr>
										</thead>
								</table>
							</div>
						</li >
						
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>商品类型</span>
							<input type="hidden" name="goodsShowCategoryId" id="goodsShowCategoryId" value=""/>
							<input size="16" type="text" class="form-control input180" id="goodsShowCategorySelect" value="" input-type="select" readonly>
							<ul class="dropdown-menu" data=""></ul>
							<i class="input_icon input_down" style="left:270px;"></i>
						</li>
						
						<li>
							<div id="qrCodeDescDiv">
								<span style="width:120px;"><span class="mustInput">*</span>商品信息</span>
								<input name="goodsShowDesc" id="goodsShowDesc" size="16" type="text"  class="form-control input180" data-options="required:true,length:'100'"/>
							</div>
						<li>
							
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>状态</span>
							<input type="hidden" name="statusId" id="statusId" value=""/>
							<input size="16" type="text" class="form-control input180" id="statusSelect" value="" input-type="select" readonly>
							<ul class="dropdown-menu" data="$.GOODS_SHOW_STATUS"></ul>
							<i class="input_icon input_down" style="left:270px;"></i>
						</li>
						
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>优惠券</span>
							<input type="hidden" name="couponId" id="couponId" value="" />
							<input id="couponDiv" class="form-control input180" type="text" value="" readOnly placeholder="只可选择张数无限的券"></input>
						</li>
						
						<li>
							<span style="width:120px;"><span class="mustInput">*</span>最低兑换等级</span>
							<input type="hidden" name="requireLevel" id="requireLevel" value="" />
							<div style="display: inline-block;" id="showGradeCK">
								<input type="radio" name="level" value="1" checked><span>蓝卡</span>
								<input type="radio" name="level" value="2"><span>金卡</span>
								<input type="radio" name="level" value="3"><span>铂金卡</span>
							</div>
						</li>
					</ul>
					<button type="button"  id="areaSaveBtn" class="btn btn-success btn-block choose_btn" style="display:none" onclick="javascript:goodsShowAdd();">保存</button>
				</form>
				
				<div id = "coupon-div" class="mask none">
					<div class="detailed labelChoose" style="margin-top:10px;">
					
						<button id="closeCoupon" type="button" class="icon detailed_close"></button>
					
					<div class="userDetailed_tab_scach clearfix">
						<div class="common_content_scach_box fl">
								<ul class="clearfix">
									<li style="margin:0;">
										<span>优惠券名称</span>
										<div>
											<input id="couponNameSea" name="couponNameSea" size="16" type="text" class="form-control" value="">
										</div>
									</li>
								</ul>
							</div>
							<i class="icon seach_btn fl" id="seachCoupon"></i>
						 </div>
						
						 <table id="goodsShowCouponTable" class="easyui-datagrid" style="width:90%;height:200px" 
							data-options="pagination:true,singleSelect:true,method:'post'">
								<thead>
									<tr>
							        	<th data-options="field:'couponId',checkbox:true">&nbsp;&nbsp;</th>
							            <th data-options="field:'couponName',width:180,align:'center'">优惠券名称</th>
							            <th data-options="field:'originId',width:100,align:'center',
							            formatter : function(value, row, index) {return ConvertFromIdToName(value, row, index);}" >来源类型</th>
							            <th data-options="field:'thruDate',width:150,align:'center',
											formatter : function(value, row, index) {return getDateString(value);}" >有效期</th>
							            <!-- <th data-options="field:'issueQuantity',width:150,align:'center'">剩余张数</th> -->
							        </tr>
								</thead>
						 </table>
						
						 <button type="button" class="btn btn-success btn-block choose_btn" onclick="javascript:getCouponId();">使用</button>
					</div>	
				</div>
				
				
			</div>
		</div>
				
			<script type="text/javascript">
				$(function() {
					require(['view/goods/goodsShowAdd'], function(re) {
						re.init();
					});
				});
			</script>
	</body>

</html>